Skip to main content
GET
/
api
/
v1
/
assets
List assets
curl --request GET \
  --url https://partners.centaur.io/api/v1/assets \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "results": [
      {
        "id": 123,
        "name": "<string>",
        "symbol": "<string>",
        "logoUrl": "<string>"
      }
    ],
    "meta": {
      "hasMore": true,
      "nextCursor": "<string>"
    }
  },
  "requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}

Authorizations

x-api-key
string
header
default:<partner-api-key>
required

Partner API key issued by Centaur.

Query Parameters

Case-insensitive partial match against asset name or symbol.

Minimum string length: 1
assetIds

Filter to specific asset IDs.

traderIds

Filter to assets with eligible positions from specific trader IDs.

limit
integer

Maximum number of rows to return.

Required range: 1 <= x <= 100
cursor
string

Forward pagination cursor from meta.nextCursor.

Minimum string length: 1

Response

Paginated list of assets

success
enum<boolean>
required
Available options:
true
data
object
required
requestId
string
required
Example:

"c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"

Last modified on April 20, 2026